Skip to main content
POST
/
liquidity-sweeps
Create sweep instruction
curl --request POST \
  --url https://api.finpace.tech/liquidity-sweeps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sweepId": "<string>",
  "poolId": "<string>",
  "status": "<string>"
}
'
{
  "sweepId": "<string>",
  "poolId": "<string>",
  "status": "<string>",
  "targetBalance": {
    "currency": "EUR",
    "amount": "1250.00"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.finpace.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
sweepId
string
required
poolId
string
required
status
string
required
targetBalance
object

Response

200 - application/json

OK

sweepId
string
required
poolId
string
required
status
string
required
targetBalance
object